#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	ninja
Version		:	1.11.1
Release		:	17.0.10.rel%{?dist}
summary		:	A small build system with a focus on speed
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://ninja-build.org/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.


#=============================================================================
%prep
%setup -q

sed -i 							\
  -e '/int Guess/a					\
  int   j = 0;						\
  char* jobs = getenv( "NINJAJOBS" );			\
  if ( jobs != NULL ) j = atoi( jobs );			\
  if ( j > 0 ) return j;				\
  ' src/ninja.cc

#-----------------------------------------------------------------------------
#building application
%build

%{__python} configure.py --bootstrap

#python3 configure.py
#./ninja ninja_test
#./ninja_test --gtest_filter=-SubprocessTest.SetWithLots

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_bindir}
install -m755 %{name} %{buildroot}%{_bindir}

#%{__mkdir_p} %{buildroot}%{_datadir}/bash-completion/completions
install -vDm644 misc/bash-completion 				\
	%{buildroot}%{_datadir}/bash-completion/completions/%{name}

#%{__mkdir_p} %{buildroot}%{_datadir}/zsh/site_functions/_%{name}
install -vDm644 misc/zsh-completion				\
	%{buildroot}%{_datadir}/zsh/site_functions/_%{name}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc README.md RELEASING
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site_functions/_%{name}

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
